import {Box, Paper, Stack, Typography} from "@mui/material";
import routes from "@/common/routes/footer.jsx";
import LinkItem from "@components/Navigation/components/LinkItem";
import {useNavigate} from "react-router-dom";

export const Footer = () => {
    const year = new Date().getFullYear();
    const navigate = useNavigate();

    return (
        <>
            <Box sx={{mb: 3}}/>

            <Paper elevation={0} sx={{mt: "auto", pt: 2, pb: 2}}>
                <Stack direction="row" justifyContent={{xs: "center", lg: "space-between"}} flexWrap="wrap" gap={2}>
                    <Typography variant="h5" fontWeight={700}>© LicenseAPI UG, {year}</Typography>

                    <Stack direction="row" justifyContent="center" alignItems="center" gap={2} flexWrap="wrap">
                        {routes.map((route, index) => <LinkItem key={index} route={route}
                                                                onClick={() => navigate(route.path)}/>)}
                    </Stack>
                </Stack>
            </Paper>
        </>)
}