import {List, Stack, Typography, useMediaQuery, useTheme} from "@mui/material";
import BulletItem from "@/pages/Home/sections/Header/components/BulletItem";
import IntegrateImage from "@/common/assets/images/home/integrate.svg";

export const Integrate = () => {
    const theme = useTheme();
    const isMobile = useMediaQuery(theme.breakpoints.down("lg"));

    return (
        <Stack direction="row" alignItems="center" justifyContent="space-evenly" sx={{mt: 10}}>
            <Stack direction="column" justifyContent="center" sx={{width: "45rem"}}>
                <Typography variant="h3" fontWeight={700} color="black">Integrationen</Typography>
                <Typography variant="h5" fontWeight={500} color="black">LicenseAPI lässt sich einfach in Ihre
                    Software integrieren</Typography>

                <List sx={{maxWidth: "35rem", mt: 2}}>
                    <BulletItem text="Einfache Integration durch REST-API"/>
                    <BulletItem text="Öffentliche SDKs für Java, PHP und Javascript"/>
                    <BulletItem text="Dokumentation für die Integration in Ihre Software"/>
                </List>
            </Stack>

            {!isMobile && <img src={IntegrateImage} alt="Integrate" height={400}/>}
        </Stack>
    )
}