import {Box, Link, Stack, Typography, useMediaQuery, useTheme} from "@mui/material";
import ImprintImage from "@/common/assets/images/legal/imprint.svg";

export const Imprint = () => {
    const theme = useTheme();
    const isMobile = useMediaQuery(theme.breakpoints.down("lg"));

    return (
        <Stack direction="row" alignItems="center" justifyContent="space-evenly" sx={{mt: 10}}>
            <Stack direction="column" justifyContent="center" sx={{width: "45rem"}}>
                <Typography variant="h2" fontWeight={700}>Impressum</Typography>
                <Typography variant="h4" fontWeight={500}>Angaben gemäß § 5 TMG</Typography>

                <Box sx={{mt: 2}}>
                    <Typography variant="h5" fontWeight={500}>Leon Fleß</Typography>
                    <Typography variant="h5" fontWeight={500}>Eichendorffstraße 5</Typography>
                    <Typography variant="h5" fontWeight={500}>91301 Forchheim</Typography>
                    <Typography variant="h5" fontWeight={500}>Deutschland</Typography>
                </Box>

                <Typography variant="h5" fontWeight={500} sx={{mt: 2}}>E-Mail: <Link
                    target="_blank" href="mailto:leon@licenseapi.de">leon@licenseapi.de</Link></Typography>
            </Stack>

            {!isMobile && <img src={ImprintImage} alt="Imprint" height={400}/>}
        </Stack>
    )
}